#include "buffer.h"

#define GPS_INITIAL   1
#define GPS_TURN_ON   2
#define GPS_STATUS    3
#define GPS_RESET     4
#define GPS_INF4      5
#define GPS_TIMEOUT   6
#define GPS_RUNNING   7
#define GPS_SLEEP     8
#define MAX_GPS_COUNT 10 

// States for the GPS Logic
extern unsigned int gps_state;
extern unsigned int gps_timer_count;


// Function prototypes
void init_gps_timer_count();
void increment_gps_timer_count();
void process_GPS_DATA(char *u2s);
void process_GPS_states();
void get_GPS_info();

