
#include "util.h"

/** Round a floating-point number to the nearest integer.
 *  \param f_x Floating-point value to round
 *  \return The nearest uint32_t to f_x.
 */
uint32_t roundFloatToUint32(float f_x) {
  uint32_t u32_y;

  u32_y = f_x;
  if ((f_x - u32_y) < 0.5) return u32_y;
  else return u32_y+1;
}

/** Round a floating-point number to the nearest integer.
 *  \param f_x Floating-point value to round
 *  \return The nearest uint16_t to f_x.
 */
uint16_t roundFloatToUint16(float f_x) {
  uint16_t u16_y;

  u16_y = f_x;
  if ((f_x - u16_y) < 0.5) return u16_y;
  else return u16_y+1;
}